Notifly
API ReferenceEnvironment Variables

List all variables

Returns all environment variables for the current organization. Secret values are masked.

GET
/v1/environment-variables

Returns all environment variables for the current organization. Secret values are masked.

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Query Parameters

search?string

Filter variables by key (case-insensitive partial match)

Lengthlength <= 256

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/environment-variables"
{  "data": [    {      "_id": "string",      "_organizationId": "string",      "key": "string",      "type": "string",      "isSecret": true,      "values": [        {          "_environmentId": "string",          "value": "string"        }      ],      "createdAt": "string",      "updatedAt": "string"    }  ]}